<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'salereg_fr.php';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];

$suppcond = "";
$suppcond2 = "";
$pcond = "";
$ptypecond = "";

if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}

if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}

if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

$formname = 'Sale Register';

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}

if (isset($_POST["view"]) || ($_GET["view"])) {
    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold;
        }


    </style>
    </head>
    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep2.php");

            $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno") or die(mysqli_error($conn));

            $getno2 = mysqli_num_rows($getpmain2);

            if ($getno2 > 0) {
                ?>
                <div class="row">
                    <div class="col-lg-12 pad">
                        <table class="table table-condesed table-bordered">
                            <tr class="mySearchTr">
                                <!--9221292520-->
                                <th width="100%" class="h4" style="color:white"><b>Sale Register</b></th>
                            </tr>
                            <tr>
                                <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                                    Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                                </td>
                            </tr>
                        </table>
                        <?php if ($ptype != "") { ?>
                            <table width="100%" class="table" style="background-color: #98F9F0">
                                <tr><td width="7%" style="font-size:14px">Pay Type : </td>
                                    <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td></tr>
                            </table>
                        <?php } ?>
                        <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                            <thead class="mySearchTr">
                                <tr>
                                    <th width="3%;">Sr</th>
                                    <th width="3%;">Voucher</th>
                                    <th width="7%;">Date</th>
                                    <th width="3%;">Invoice No.</th>
                                    <th width="15%;">Party Name</th>                                
                                    <th width="4%;">Godown</th>                                
                                    <th width="5%;">Pay type</th>
                                    <th width="4%;" class="text-right">LR .No.</th>
                                    <th width="4%;" >LR Date</th>
                                    <th width="5%;" >Transporter</th>
                                    <!--<th width="5%;" >Booking</th>-->
                                    <th width="5%;" class="text-right">Total Qty.</th>
                                    <th width="6%;" class="text-right">Sub Total</th>
                                    <th width="6%;" class="text-right">Discount %</th>
                                    <th width="6%;" class="text-right">Discount Amt.</th>
                                    <th width="6%;" class="text-right">Packing</th>
                                    <th width="6%;" class="text-right">GT </th>
                                    <th width="6%;" class="text-right">Net Amount </th>
                                    <th width="6%;" class="text-right">Advance </th>
                                    <th width="6%;" class="text-right">Balance</th>
                                    <th width="10%;">Remarks</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $pctr = 0;
                                $ptotamt = 0;
                                $ptotdiscamt = 0;
                                $ptottaxable = 0;
                                $ptotgst3 = 0;
                                $ptotgst5 = 0;
                                $ptotgst12 = 0;
                                $ptotgst18 = 0;
                                $ptotgst28 = 0;
                                $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                                $pchtypecond = "";

                                while ($pmain = mysqli_fetch_array($getpmain2)) {
                                    if ($pmain['paidby'] == "C") {
                                        $ptyped = "CASH";
                                    } else {
                                        $ptyped = "CREDIT";
                                    }

                                    $voucher = $pmain['vouchno'];
                                    $invno = $pmain['invno'];
                                    $totalqty = $pmain['totalqty'];
                                    $mydt = $pmain['mydt'];

                                    if ($pmain['canc_flag'] == "C") {
                                        $partynm = "<b style='color:red'>CANCELLED</b>";
                                        $color = "red";
                                        $subtot = $totdisc = $totvat = $billamt = 0;
                                        $gstno = "";
                                        $billamt = $subtot = $totvat = $totdisc = $totgst = 0;
                                    } else if ($pmain['canc_flag'] != "C") {
                                        $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                        $sparty = mysqli_fetch_array($gparty);

                                        $transport = mysqli_query($conn, "SELECT `code`,`name` FROM `transport` where `code` = '$pmain[transporter]'") or die(mysqli_error($conn));
                                        $gettransport = mysqli_fetch_array($transport);

                                        $godown = mysqli_query($conn, "SELECT * FROM `godown` where code ='$pmain[godown]' ") or die(mysqli_error($conn));
                                        $ftgodown = mysqli_fetch_array($godown);

                                        $partynm = $sparty['name'];
                                        $dname = $gettransport['name'];
                                        $totdisc = $pmain['totdisc'];
                                        $lrno = $pmain['lrno'];
                                        $lrdate = $pmain['lrdate'];
                                        $area = $pmain['area'];
                                        $totqty = $pmain['totalqty'];
                                        $subtotal = $pmain['grossamt'];
                                        $litemdisc = $pmain['ldiscperc'];
                                        $discount = $pmain['totdisc'];
                                        $packing = $pmain['addpack'];
                                        $addgst = $pmain['addgst'];
                                        $tottaxamt = $pmain['billamt'];
                                        $advance = $pmain['totadv'];
                                        $totbal = $pmain['totbal'];
                                        $remark1 = $pmain['remark1'];
                                        $remark2 = $pmain['remark2'];
                                    }

                                    $pctr++;
                                    Echo"<tr data-href='sale.php?mode=edit&vouchno=$voucher' class='clickable-row2' [target]='_blank'>";
                                    Echo"<td>$pctr</td>";
                                    Echo"<td>$voucher</td>";
                                    Echo"<td>$mydt</td>";
                                    Echo"<td>$invno</td>";
                                    if (empty($party)) {
                                        echo "<td>$partynm</td>";
                                    }
                                    echo "<td>$ftgodown[gcode]</td>";
                                    Echo"<td>$ptyped</td>";
                                    Echo"<td>$lrno</td>";
                                    Echo"<td>$lrdate</td>";
                                    Echo"<td>$dname</td>";
//                                    Echo"<td>$area</td>";
                                    Echo"<td class='text-right'>$totqty</td>";
                                    Echo"<td class='text-right'>$subtotal</td>";
                                    Echo"<td class='text-right'>$litemdisc</td>";
                                    Echo"<td class='text-right'>$discount</td>";
                                    Echo"<td class='text-right'>$packing</td>";
                                    Echo"<td class='text-right'>$addgst</td>";
                                    Echo"<td class='text-right'>$tottaxamt</td>";
                                    Echo"<td class='text-right'>$advance</td>";
                                    Echo"<td class='text-right'>$totbal</td>";
                                    Echo"<td>$remark1 $remark2</td>";
                                    Echo"</tr>";

                                    $pgrtotqty = $pgrtotqty + $totqty;
                                    $pgrsubtot = $pgrsubtot + $subtotal;
                                    $pgrtotdis = $pgrtotdis + $litemdisc;
                                    $pgrdiscount = $pgrdiscount + $discount;
                                    $pgrpacking = $pgrpacking + $packing;
                                    $pgraddgst = $pgraddgst + $addgst;
                                    $pgrtotvat = $pgrtotvat + $tottaxamt;
                                    $pgradvance = $pgradvance + $advance;
                                    $pgrtotbal = $pgrtotbal + $totbal;

                                    if ($_POST["dtype"] == 2) {
                                        Echo "<tr style='height:10px;'>";
                                        Echo "<td colspan='25'>";
                                        Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        Echo "<thead>";
                                        Echo "<tr class='' style='background-color:#BABFC2'>";
                                        Echo "<th style='width:5%;'>Sr</th>";
                                        Echo "<th style='width:5%;' class=''>Barocde</th>";
                                        Echo "<th style='width:15%;' class=''>Itemname</th>";
                                        Echo "<th style='width:5%;' class=''>Stk.</th>";
                                        Echo "<th style='width:4%;' class='text-right'> Qty.</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Rate</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Amount</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>Disc %</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>Disc Amt</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>Taxable Value</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>CGST Rate</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>CGST Amt</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>SGST Rate</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>SGST Amt</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>IGST Rate</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>IGST Amt</th>";
//                                        Echo "<th style='width:5%;' class='text-right'>Total</th>";
                                        Echo "</tr>";
                                        Echo "<thead>";
                                        Echo "<tr>";

                                        $ctr2 = 0;
                                        $pctr2 = 0;
                                        $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            Echo "<tr>";
                                            Echo "<td>$ctr2</td>";
                                            Echo "<td>$tran[barcode]</td>";
                                            Echo "<td>$showitem[name]</td>";
                                            Echo "<td>$tran[stk]</td>";
                                            Echo "<td class='text-right'>$tran[qty]</td>";
                                            Echo "<td class='text-right'>$tran[rate]</td>";
                                            Echo "<td class='text-right'>$tran[amount]</td>";
//                                            Echo "<td class='text-right'>$tran[discperc]</td>";
//                                            Echo "<td class='text-right'>$tran[discount]</td>";
//                                            Echo "<td class='text-right'>$tran[subtot]</td>";
//                                            Echo "<td class='text-right'>$tran[cgstrate]</td>";
//                                            Echo "<td class='text-right'>$tran[cgstamt]</td>";
//                                            Echo "<td class='text-right'>$tran[sgstrate]</td>";
//                                            Echo "<td class='text-right'>$tran[sgstamt]</td>";
//                                            Echo "<td class='text-right'>$tran[igstrate]</td>";
//                                            Echo "<td class='text-right'>$tran[igstamt]</td>";
//                                            Echo "<td class='text-right'>$tran[total]</td>";
                                            Echo "</tr>";

                                            $pqty = $pqty + $tran['qty'];
//                                            $prate        = $prate + $tran['rate'];
                                            $ptotamount = $ptotamount + $tran['amount'];
//                                            $pdiscperc    = $pdiscperc + $tran['discperc'];
                                            $pdiscount = $pdiscount + $tran['discount'];
                                            $psubtot = $psubtot + $tran['subtot'];
//                                            $pcgstrate    = $pcgstrate + $tran['cgstrate'];
                                            $pcgstamt = $pcgstamt + $tran['cgstamt'];
//                                            $psgstrate    = $psgstrate + $tran['sgstrate'];
                                            $psgstamt = $psgstamt + $tran['sgstamt'];
//                                            $pigstrate    = $pigstrate + $tran['igstrate'];
                                            $pigstamt = $pigstamt + $tran['igstamt'];
                                            $ptotal = $ptotal + $tran['total'];
                                        }

                                        Echo "<tr style='background-color:#d8e0e6'>";
                                        Echo "<td colspan='3'></td>";
                                        Echo "<td>Total</td>";
                                        Echo "<td class='text-right'>$pqty</td>";
                                        Echo "<td class='text-right'>$prate</td>";
                                        Echo "<td class='text-right'>$ptotamount</td>";
//                                        Echo "<td class='text-right'>$pdiscperc</td>";
//                                        Echo "<td class='text-right'>$pdiscount</td>";
//                                        Echo "<td class='text-right'>$psubtot</td>";
//                                        Echo "<td class='text-right'>$pcgstrate</td>";
//                                        Echo "<td class='text-right'>$pcgstamt</td>";
//                                        Echo "<td class='text-right'>$psgstrate</td>";
//                                        Echo "<td class='text-right'>$psgstamt</td>";
//                                        Echo "<td class='text-right'>$pigstrate</td>";
//                                        Echo "<td class='text-right'>$pigstamt</td>";
//                                        Echo "<td class='text-right'>$ptotal</td>";
                                        Echo "</tr>";
                                        Echo "</table>";
                                    }
                                }


                                Echo "<tr style='background-color: #98F9F0'>";
                                Echo "<td colspan='9'></td>";
                                Echo "<td class='text-right'><b>Total</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotqty</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrsubtot</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotdis</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrdiscount </b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrpacking </b></td>";
                                Echo "<td class='numeric text-right'><b>$pgraddgst </b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotvat</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgradvance </b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotbal </b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "</tr>";

                                $pregst = $pgrtotvat - $pgraddgst;

                                Echo "<tr style='background-color: #98F9F0'>";
                                Echo "<td colspan='14'></td>";
                                Echo "<td colspan='2' class='text-right'><b>Sale Pre GST</b></td>";
                                Echo "<td class='numeric text-right'><b>$pregst</b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "</tr>";

                                if ($suppcond == '') {
                                    $getret = mysqli_query($conn, "SELECT sum(billamt) as rettot FROM `credmain` WHERE `vouchdt` >= '$mfrmdate' 
                                                                          AND `vouchdt` <= '$mtodate' ") or die(mysqli_error($conn));
                                    $fetret = mysqli_fetch_array($getret);
                                    $totret = $fetret['rettot'];

                                    Echo "<tr style='background-color: #98F9F0'>";
                                    Echo "<td colspan='14'></td>";
                                    Echo "<td colspan='2' class='text-right'><b>Less Returns</b></td>";
                                    Echo "<td class='numeric text-right'><b>$totret</b></td>";
                                    Echo "<td class='numeric text-right'><b></b></td>";
                                    Echo "<td class='numeric text-right'><b></b></td>";
                                    Echo "<td class='numeric text-right'><b></b></td>";
                                    Echo "</tr>";

                                    $finsale = $pregst - $totret;

                                    Echo "<tr style='background-color: #98F9F0'>";
                                    Echo "<td colspan='14'></td>";
                                    Echo "<td colspan='2' class='text-right'><b>Final Sale</b></td>";
                                    Echo "<td class='numeric text-right'><b>$finsale</b></td>";
                                    Echo "<td class='numeric text-right'><b></b></td>";
                                    Echo "<td class='numeric text-right'><b></b></td>";
                                    Echo "<td class='numeric text-right'><b></b></td>";
                                    Echo "</tr>";
                                }
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>

                <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}

if (isset($_POST["excel"])) {

    $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno") or die(mysqli_error($conn));

    $getno2 = mysqli_num_rows($getpmain2);

    if ($getno2 > 0) {

        $contents .= "Sale Register\n";

        $contents .= "Total No. Of Record :" . ",";
        $contents .= "$getno2" . "\n";
        if ($ptype != "") {
            $contents .= "Pay Type :" . ",";
            $contents .= "$paytype" . "\n";
        }

        $contents .= "Sr., Voucher, Date, Invoice No., Party Name, Godown,";
        $contents .= "Pay Type, LR No., LR Date, Transporter, Total Qty., Subtotal, "
                . "Disc %, Disc Amt, Packing, GT, Net Amt, Advance, Balance, Remarks\n";

        $pctr = 0;
        $ptotamt = 0;
        $ptotdiscamt = 0;
        $ptottaxable = 0;
        $ptotgst3 = 0;
        $ptotgst5 = 0;
        $ptotgst12 = 0;
        $ptotgst18 = 0;
        $ptotgst28 = 0;
        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
        $pchtypecond = "";

//                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
//                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


        while ($pmain = mysqli_fetch_array($getpmain2)) {
            if ($pmain['paidby'] == "C") {
                $ptyped = "CASH";
            } else {
                $ptyped = "CREDIT";
            }

            $voucher = $pmain['vouchno'];
            $invno = $pmain['invno'];
            $totalqty = $pmain['totalqty'];
            $mydt = $pmain['mydt'];

            if ($pmain['canc_flag'] == "C") {
                $partynm = "<b style='color:red'>CANCELLED</b>";
                $color = "red";
                $subtot = $totdisc = $totvat = $billamt = 0;
                $gstno = "";
                $billamt = $subtot = $totvat = $totdisc = $totgst = 0;
            } else if ($pmain['canc_flag'] != "C") {
                $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                $sparty = mysqli_fetch_array($gparty);

                $transport = mysqli_query($conn, "SELECT `code`,`name` FROM `transport` where `code` = '$pmain[transporter]'") or die(mysqli_error($conn));
                $gettransport = mysqli_fetch_array($transport);

                $godown = mysqli_query($conn, "SELECT * FROM `godown` where code ='$pmain[godown]'") or die(mysqli_error($conn));
                $ftgodown = mysqli_fetch_array($godown);

                $partynm = $sparty['name'];
                $dname = $gettransport['name'];
                $totdisc = $pmain['totdisc'];
                $lrno = $pmain['lrno'];
                $lrdate = $pmain['lrdate'];
                $area = $pmain['area'];
                $totqty = $pmain['totalqty'];
                $subtotal = $pmain['grossamt'];
                $litemdisc = $pmain['ldiscperc'];
                $discount = $pmain['totdisc'];
                $packing = $pmain['addpack'];
                $addgst = $pmain['addgst'];
                $tottaxamt = $pmain['billamt'];
                $advance = $pmain['totadv'];
                $totbal = $pmain['totbal'];
                $remark1 = $pmain['remark1'];
                $remark2 = $pmain['remark2'];
            }

            $pctr++;
            $contents .= "$pctr" . ",";
            $contents .= "$voucher" . ",";
            $contents .= "$mydt" . ",";
            $contents .= "$invno" . ",";

            if (empty($party)) {
                $contents .= "$partynm" . ",";
            }
            $contents .= "$ftgodown[gcode]" . ",";
                $contents .= "$ptyped" . ",";
            $contents .= "$lrno" . ",";
            $contents .= "$lrdate" . ",";
            $contents .= "$dname" . ",";
            $contents .= "$totqty" . ",";
            $contents .= "$subtotal" . ",";
            $contents .= "$litemdisc" . ",";
            $contents .= "$discount" . ",";
            $contents .= "$packing" . ",";
            $contents .= "$addgst" . ",";
            $contents .= "$tottaxamt" . ",";
            $contents .= "$advance" . ",";
            $contents .= "$totbal" . ",";
            $contents .= "$remark1 $remark2" . "\n";

            $pgrtotqty = $pgrtotqty + $totqty;
            $pgrsubtot = $pgrsubtot + $subtotal;
            $pgrtotdis = $pgrtotdis + $litemdisc;
            $pgrdiscount = $pgrdiscount + $discount;
            $pgrpacking = $pgrpacking + $packing;
            $pgraddgst = $pgraddgst + $addgst;
            $pgrtotvat = $pgrtotvat + $tottaxamt;
            $pgradvance = $pgradvance + $advance;
            $pgrtotbal = $pgrtotbal + $totbal;

            if ($_POST["dtype"] == 2) {

                $contents .= "Sr., Barcode, Itemname, Stk., Qty., Rate, Amount\n";

                $ctr2 = 0;
                $pctr2 = 0;
                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                    $showitem = mysqli_fetch_array($getitem);

                    $ctr2++;

                    $contents .= "$ctr2" . ",";
                    $contents .= "$tran[barcode]" . ",";
                    $contents .= "$showitem[name]" . ",";
                    $contents .= "$tran[stk]" . ",";
                    $contents .= "$tran[qty]" . ",";
                    $contents .= "$tran[rate]" . ",";
                    $contents .= "$tran[amount]" . "\n";

                    $pqty = $pqty + $tran['qty'];
//                                            $prate        = $prate + $tran['rate'];
                    $ptotamount = $ptotamount + $tran['amount'];
//                                            $pdiscperc    = $pdiscperc + $tran['discperc'];
                    $pdiscount = $pdiscount + $tran['discount'];
                    $psubtot = $psubtot + $tran['subtot'];
//                                            $pcgstrate    = $pcgstrate + $tran['cgstrate'];
                    $pcgstamt = $pcgstamt + $tran['cgstamt'];
//                                            $psgstrate    = $psgstrate + $tran['sgstrate'];
                    $psgstamt = $psgstamt + $tran['sgstamt'];
//                                            $pigstrate    = $pigstrate + $tran['igstrate'];
                    $pigstamt = $pigstamt + $tran['igstamt'];
                    $ptotal = $ptotal + $tran['total'];
                }


                $contents .= "" . ",";
                $contents .= "" . ",,";
                $contents .= "Total" . ",";
                $contents .= "$pqty" . ",";
                $contents .= "$prate" . ",";
                $contents .= "$ptotamount" . "\n";
            }
        }
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "Total" . ",";
        $contents .= "$pgrtotqty" . ",";
        $contents .= "$pgrsubtot" . ",";
        $contents .= "$pgrtotdis" . ",";
        $contents .= "$pgrdiscount" . ",";
        $contents .= "$pgrpacking" . ",";
        $contents .= "$pgraddgst" . ",";
        $contents .= "$pgrtotvat" . ",";
        $contents .= "$pgradvance" . ",";
        $contents .= "$pgrtotbal" . ",";
        $contents .= "" . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>